unit launcher;

interface
uses Classes;
type
  TLauncherThread = class(TThread)
  private
    FPath: String;
  protected
    procedure Execute; override;
  public
    constructor Create(Path: String);
  end;

implementation
uses Windows, ShellAPI;
///////////////////TLauncherThread/////////////////
constructor TLauncherThread.Create(Path: String);
begin
  inherited Create(True);
  FreeOnTerminate:=True;
  FPath:=Path;
  Resume;
end;

procedure TLauncherThread.Execute;
begin
  ShellExecute(0,'open',PChar(FPath),'','',SW_SHOW);
end;


end.
